<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Наш фонд');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Пожертвовать в фонд</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Пожертвовать в фонд</div>';
if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$pass = check($_POST['pass']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($b['rur'] < $rur) {
err('У вас недостаточно средств!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 руб.');
} elseif (empty($pass) OR sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
$sql = DB::$dbs->query("SELECT * FROM fond WHERE user_id = ? LIMIT 1", [$b['id']]);
$text = 'Вы пожертвовали [b]'.$rur.' руб.[/b] в фонд сайта.';
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", array($b['id'],$text,time()));
if ($sql -> rowCount() == 0) {
DB::$dbs->query("INSERT INTO `fond` (`user_id`,`suma`) VALUES (?,?)", array($b['id'],$rur));
} else {
$a = $sql -> fetch();
DB::$dbs->query("UPDATE `fond` SET `suma` = `suma` + ? WHERE `id` = ?", [$rur,$a['id']]);
}
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ?", [$rur,$b['id']]);
echo '<div class="row text_box">Операция прошла успешно!</div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
}
echo'<div class="row text_box"><img src="/assets/images/kosh.gif" alt="" /> Мой баланс: <b>'.round($b['rur'], 2).'</b> руб.</div>';
echo '<div class="row text_box"><b>Сумма</b><br/><form action="?" method="post"><input name="rur" class="form-control" maxlength="7"/><br />Пароль: <br/><input class="form-control" name="pass"/><br /> <input type="submit" name="ok" class="btn btn-primary" value="Пожертвовать"/></form></div>';
} else err('Заполните WMR кошелек!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>